clang-tools 10.0.0

Classes | Namespaces
UnhandledSelfAssignmentCheck.h File Reference
`#include "../ClangTidyCheck.h"`
Include dependency graph for UnhandledSelfAssignmentCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::bugprone::UnhandledSelfAssignmentCheck
| Finds user-defined copy assignment operators which do not protect the code against self-assignment either by checking self-assignment explicitly or using the copy-and-swap or the copy-and-move method. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::bugprone